import request from '@/utils/request'

// 查询云组态列表
export function listBDeviceZt(query) {
    return request({
        url: '/zutai/bDeviceZt/list',
        method: 'get',
        params: query
    })
}

// 分配组态时查询租户云组态列表
export function listBDeviceFpZhZt(query) {
    return request({
        url: '/zutai/bDeviceZt/listfp',
        method: 'get',
        params: query
    })
}

// 查询租户云组态列表
export function listBDeviceZhZt(query) {
    return request({
        url: '/zutai/bDeviceZt/listztuser',
        method: 'get',
        params: query
    })
}

// 查询云组态详细
export function getBDeviceZt(id) {
    return request({
        url: '/zutai/bDeviceZt/' + id,
        method: 'get'
    })
}

// 新增云组态
export function addBDeviceZt(data) {
    return request({
        url: '/zutai/bDeviceZt',
        method: 'post',
        data: data
    })
}

//复制
export function addBDeviceZtCopy(data) {
    return request({
        url: '/zutai/bDeviceZtCopy',
        method: 'post',
        data: data
    })
}
// 修改云组态
export function updateBDeviceZt(data) {
    return request({
        url: '/zutai/bDeviceZt',
        method: 'put',
        data: data
    })
}

// 删除云组态
export function delBDeviceZt(id) {
    return request({
        url: '/zutai/bDeviceZt/' + id,
        method: 'delete'
    })
}

export function zutaiList() {
    return request({
        url: '/zutai/zutaiList/',
        method: 'get'
    })
}

export function bDeviceZtList(data) {
    return request({
        url: '/zutai/bDeviceZtList',
        method: 'post',
        data: data
    })
}

